function flags=margin_locator(file_name,xo,yo)
%MARGIN_LOCATOR -  ???
%
%   Usage:
%      flags=margin_locator(file_name,xo,yo)

load ../data/matlab/commondata/names
load ../data/matlab/commondata/num

struct=read_file([file_name '.exp'],0);

flags=zeros(length(xo),1);
for n=1:length(struct),
   temp_flags=isinpoly(xo,yo,struct(n).x,struct(n).y);
   pos=find(temp_flags == .5);
   temp_flags(pos)=1;
   flags=flags|temp_flags;
end
